VERSION 5.00
Begin VB.Form frmFont 
   ClientHeight    =   5055
   ClientLeft      =   60
   ClientTop       =   60
   ClientWidth     =   7095
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   ScaleHeight     =   5055
   ScaleWidth      =   7095
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdDefault 
      Caption         =   "Default"
      Height          =   375
      Left            =   5640
      TabIndex        =   16
      Top             =   2640
      Width           =   1335
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   5640
      TabIndex        =   15
      Top             =   840
      Width           =   1335
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Height          =   375
      Left            =   5640
      TabIndex        =   14
      Top             =   480
      Width           =   1335
   End
   Begin VB.Frame fraPreview 
      Caption         =   "Preview"
      Height          =   1815
      Left            =   3000
      TabIndex        =   12
      Top             =   3120
      Width           =   3975
      Begin VB.PictureBox picPreview 
         Height          =   1455
         Left            =   120
         ScaleHeight     =   1395
         ScaleWidth      =   3555
         TabIndex        =   13
         Top             =   240
         Width           =   3615
         Begin VB.Label lblPreview 
            Alignment       =   2  'Center
            AutoSize        =   -1  'True
            Caption         =   "AaBbCc"
            Height          =   195
            Left            =   1485
            TabIndex        =   17
            Top             =   600
            Width           =   615
         End
      End
   End
   Begin VB.Frame fraEffects 
      Caption         =   "Effects"
      Height          =   1815
      Left            =   120
      TabIndex        =   9
      Top             =   3120
      Width           =   2775
      Begin VB.CheckBox chkStrikeout 
         Caption         =   "&Strikeout"
         Height          =   195
         Left            =   600
         TabIndex        =   11
         Top             =   1080
         Width           =   975
      End
      Begin VB.CheckBox chkUnderline 
         Caption         =   "&Underline"
         Height          =   255
         Left            =   600
         TabIndex        =   10
         Top             =   720
         Width           =   975
      End
   End
   Begin VB.ComboBox cmbFStyle 
      Height          =   2325
      Left            =   3840
      Style           =   1  'Simple Combo
      TabIndex        =   8
      Top             =   720
      Width           =   1575
   End
   Begin VB.ComboBox cmbFSize 
      Height          =   2325
      Left            =   2640
      Style           =   1  'Simple Combo
      TabIndex        =   6
      Top             =   720
      Width           =   1095
   End
   Begin VB.ComboBox cmbFName 
      Height          =   2325
      Left            =   120
      Sorted          =   -1  'True
      Style           =   1  'Simple Combo
      TabIndex        =   4
      Top             =   720
      Width           =   2415
   End
   Begin VB.PictureBox picTitle 
      BackColor       =   &H80000002&
      BorderStyle     =   0  'None
      Height          =   255
      Left            =   0
      ScaleHeight     =   255
      ScaleWidth      =   7095
      TabIndex        =   0
      Top             =   0
      Width           =   7095
      Begin VB.CommandButton cmdXExit 
         DisabledPicture =   "frmFont.frx":0000
         Height          =   215
         Left            =   6840
         Picture         =   "frmFont.frx":01AA
         Style           =   1  'Graphical
         TabIndex        =   2
         Top             =   25
         Width           =   255
      End
      Begin VB.Label lblTitle 
         Alignment       =   2  'Center
         BackStyle       =   0  'Transparent
         Caption         =   "Font"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H00FFFFFF&
         Height          =   195
         Left            =   35
         TabIndex        =   1
         Top             =   30
         Width           =   390
      End
   End
   Begin VB.Label lblFStyle 
      AutoSize        =   -1  'True
      Caption         =   "Font Style"
      Height          =   195
      Left            =   3840
      TabIndex        =   7
      Top             =   480
      Width           =   705
   End
   Begin VB.Label lblFSize 
      AutoSize        =   -1  'True
      Caption         =   "Font Size"
      Height          =   195
      Left            =   2640
      TabIndex        =   5
      Top             =   480
      Width           =   660
   End
   Begin VB.Label lblFName 
      AutoSize        =   -1  'True
      Caption         =   "Font Name:"
      Height          =   195
      Left            =   120
      TabIndex        =   3
      Top             =   480
      Width           =   825
   End
End
Attribute VB_Name = "frmFont"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub chkStrikeout_Click()
    lblPreview.FontStrikethru = chkStrikeout.Value
End Sub

Private Sub chkUnderline_Click()
    lblPreview.FontUnderline = chkUnderline.Value
End Sub

Private Sub cmbFName_Click()
    If cmbFName.Text <> "" Then
        Select Case cmbFName.Text
            Case cmbFName.Text
                lblPreview.FontName = cmbFName.Text
                UpdatePrePos
        End Select
    End If
End Sub

Private Sub cmbFSize_Click()
    If cmbFSize.Text <> "" Then
        Select Case cmbFSize.Text
            Case cmbFSize.Text
                lblPreview.FontSize = cmbFSize.Text
                UpdatePrePos
        End Select
    End If
End Sub

Private Sub cmbFStyle_Click()
    If cmbFStyle.Text <> "" Then
        Select Case cmbFStyle.Text
            Case "Regular"
                lblPreview.FontBold = False
                lblPreview.FontItalic = False
                UpdatePrePos
            Case "Bold"
                lblPreview.FontBold = True
                lblPreview.FontItalic = False
                UpdatePrePos
            Case "Bold Italic"
                lblPreview.FontBold = True
                lblPreview.FontItalic = True
                UpdatePrePos
            Case "Italic"
                lblPreview.FontBold = False
                lblPreview.FontItalic = True
                UpdatePrePos
        End Select
    End If
End Sub

Private Sub cmdCancel_Click()
    cmdXExit_Click
End Sub

Private Sub cmdDefault_Click()
    cmbFName.Text = "MS Sans Serif"
    cmbFSize.Text = "10"
    cmbFStyle.Text = "Regular"
    chkUnderline.Value = vbUnchecked
    chkStrikeout.Value = vbUnchecked
    lblPreview.FontName = cmbFName.Text
    lblPreview.FontSize = cmbFSize.Text
    lblPreview.FontBold = False
    lblPreview.FontItalic = False
    lblPreview.FontUnderline = chkUnderline.Value
    lblPreview.FontStrikethru = chkStrikeout.Value
    UpdatePrePos
End Sub

Private Sub cmdOK_Click()
    With frmMain.lblTitle
        .FontName = cmbFName.Text
        .FontSize = cmbFSize.Text
        If cmbFStyle.Text = "Regular" Then
            .FontBold = False
            .FontItalic = False
        ElseIf cmbFStyle.Text = "Bold" Then
            .FontBold = True
            .FontItalic = False
        ElseIf cmbFStyle.Text = "Italic" Then
            .FontBold = False
            .FontItalic = True
        ElseIf cmbFStyle.Text = "Bold Italic" Then
            .FontBold = True
            .FontItalic = True
        End If
        .FontUnderline = chkUnderline.Value
        .FontStrikethru = chkStrikeout.Value
    End With
    
    With frmMain
        .picTitle.Height = .lblTitle.Height + 60
    End With
    
    '
    ' Hide the form rather than unloading it
    '
    Me.Hide
End Sub

Private Sub cmdXExit_Click()
    Me.Hide
End Sub

Private Sub Form_Activate()
    picTitle.BackColor = vbActiveTitleBar
End Sub

Private Sub Form_Deactivate()
    picTitle.BackColor = vbInactiveTitleBar
End Sub

Sub Form_Load()
Dim lngFonts As Long
Dim intSizes As Integer

    CenterForm Me
    
    Form_Resize
    
    For lngFonts = 1 To Screen.FontCount - 1
        With cmbFName
            .AddItem Screen.Fonts(lngFonts)
            .Text = frmMain.lblTitle.FontName
        End With
    Next
    
    For intSizes = 8 To 74
        With cmbFSize
            .AddItem intSizes
            .Text = frmMain.lblTitle.FontSize
        End With
    Next
    
    With cmbFStyle
        .AddItem "Regular"
        .AddItem "Bold"
        .AddItem "Italic"
        .AddItem "Bold Italic"
    End With
    
    With frmMain
        If .lblTitle.FontBold = True Then
            cmbFStyle.Text = "Bold"
        Else
            cmbFStyle.Text = "Regular"
        End If
        
        If .lblTitle.FontItalic = True Then
            cmbFStyle.Text = "Italic"
        Else
            cmbFStyle.Text = "Regular"
        End If
        
        If .lblTitle.FontItalic = True And .lblTitle.FontBold = True Then
            cmbFStyle.Text = "Bold Italic"
        Else
            cmbFStyle.Text = "Regular"
        End If
    End With
    
    UpdatePrePos
End Sub

Sub Form_Resize()
    picTitle.Width = Me.Width
    lblTitle.Width = Me.Width - 500
    cmdXExit.Left = Me.Width - 385
End Sub

Sub UpdatePrePos()
    With lblPreview
        .Top = (picPreview.Height - .Height) \ 2
        .Left = (picPreview.Width - .Width) \ 2
    End With
End Sub

Private Sub lblTitle_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
   Dim lngReturnValue As Long
   If Button = 1 Then
      Call ReleaseCapture
      lngReturnValue = SendMessage(frmFont.hWnd, WM_NCLBUTTONDOWN, HTCAPTION, 0&)
   End If
End Sub

Private Sub picTitle_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
   Dim lngReturnValue As Long
   If Button = 1 Then
      Call ReleaseCapture
      lngReturnValue = SendMessage(frmFont.hWnd, WM_NCLBUTTONDOWN, HTCAPTION, 0&)
   End If
End Sub
